Review Group Insights Evidence Route
curl --request POST \
--url https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/review-group-insights/evidence \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"advertiser_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"aspect": "<string>",
"limit": 20,
"offset": 0
}
'import requests
url = "https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/review-group-insights/evidence"
payload = {
"advertiser_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"aspect": "<string>",
"limit": 20,
"offset": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
advertiser_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
aspect: '<string>',
limit: 20,
offset: 0
})
};
fetch('https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/review-group-insights/evidence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 25,
"total": 0,
"offset": 0,
"has_more": false,
"items": [
{
"review_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sentiment": "positive",
"evidence": "<string>",
"platform": "trustpilot",
"rating": 3,
"source_url": "<string>",
"sub_theme": "<string>",
"title": "<string>",
"body": "<string>",
"reviewer_name": "<string>",
"is_verified": true,
"reviewed_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Brand Reviews
Review Group Insights Evidence Route
Page the verified evidence behind one platform-scoped matrix cell.
POST
/
api
/
v1
/
brands
/
{brand_id}
/
brand-intelligence
/
review-group-insights
/
evidence
Review Group Insights Evidence Route
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
One bounded page behind a platform-scoped matrix cell.
Available options:
trustpilot, google Required string length:
1 - 100Available options:
positive, negative Required range:
1 <= x <= 50Required range:
x >= 0Was this page helpful?
⌘I